searchNodes=[{"type":"module","title":"Scidata.IMDBReviews","doc":"Module for downloading the Large Movie Review Dataset .","ref":"Scidata.IMDBReviews.html"},{"type":"function","title":"Scidata.IMDBReviews.download/1","doc":"Downloads the IMDB reviews training dataset or fetches it locally. example_types specifies which examples in the dataset should be returned according to each example's label: :pos for positive examples, :neg for negative examples, and :unsup for unlabeled examples. If no example_types are provided, :pos and :neg examples are fetched. Options. :base_url - Dataset base URL. Defaults to &quot;http://ai.stanford.edu/~amaas/data/sentiment/&quot; :dataset_file - Dataset filename. Defaults to &quot;aclImdb_v1.tar.gz&quot; :cache_dir - Cache directory. Defaults to System.tmp_dir!()","ref":"Scidata.IMDBReviews.html#download/1"},{"type":"function","title":"Scidata.IMDBReviews.download_test/1","doc":"Downloads the IMDB reviews test dataset or fetches it locally. example_types is the same as in download/1 , but :unsup is unavailable because all unlabeled examples are in the training set. Accepts the same options as download/1 .","ref":"Scidata.IMDBReviews.html#download_test/1"},{"type":"type","title":"Scidata.IMDBReviews.test_sentiment/0","doc":"","ref":"Scidata.IMDBReviews.html#t:test_sentiment/0"},{"type":"type","title":"Scidata.IMDBReviews.train_sentiment/0","doc":"","ref":"Scidata.IMDBReviews.html#t:train_sentiment/0"},{"type":"module","title":"Scidata.Squad","doc":"Module for downloading the SQuAD1.1 dataset .","ref":"Scidata.Squad.html"},{"type":"function","title":"Scidata.Squad.download/1","doc":"Downloads the SQuAD training dataset Options. :base_url - Dataset base URL. Defaults to &quot;https://rajpurkar.github.io/SQuAD-explorer/dataset/&quot; :train_dataset_file - Training set filename. Defaults to &quot;train-v1.1.json&quot; :cache_dir - Cache directory. Defaults to System.tmp_dir!() Examples iex&gt; Scidata.Squad . download ( ) [ %{ &quot;paragraphs&quot; =&gt; [ %{ &quot;context&quot; =&gt; &quot;Architecturally, the school has a...&quot; , &quot;qas&quot; =&gt; [ %{ &quot;answers&quot; =&gt; [ %{ &quot;answer_start&quot; =&gt; 515 , &quot;text&quot; =&gt; &quot;Saint Bernadette Soubirous&quot; } ] , &quot;id&quot; =&gt; &quot;5733be284776f41900661182&quot; , &quot;question&quot; =&gt; &quot;To whom did the...&quot; } , ... ] } ] , &quot;title&quot; =&gt; &quot;University_of_Notre_Dame&quot; } , ... ]","ref":"Scidata.Squad.html#download/1"},{"type":"function","title":"Scidata.Squad.download_test/1","doc":"Downloads the SQuAD test dataset Options. :base_url - Dataset base URL. Defaults to &quot;https://rajpurkar.github.io/SQuAD-explorer/dataset/&quot; :test_dataset_file - Test set filename. Defaults to &quot;dev-v1.1.json&quot; :cache_dir - Cache directory. Defaults to System.tmp_dir!() Examples iex&gt; Scidata.Squad . download_test ( ) [ %{ &quot;paragraphs&quot; =&gt; [ %{ &quot;context&quot; =&gt; &quot;Super Bowl 50 was an American football game t...&quot; , &quot;qas&quot; =&gt; [ %{ &quot;answers&quot; =&gt; [ %{ &quot;answer_start&quot; =&gt; 177 , &quot;text&quot; =&gt; &quot;Denver Broncos&quot; } , ... ] , &quot;id&quot; =&gt; &quot;56be4db0acb8001400a502ec&quot; , &quot;question&quot; =&gt; &quot;Which NFL team represented the AFC at Super Bowl 50?&quot; } , ] } ] , &quot;title&quot; =&gt; &quot;Super_Bowl_50&quot; } , ... ]","ref":"Scidata.Squad.html#download_test/1"},{"type":"function","title":"Scidata.Squad.to_columns/1","doc":"Convert result of download/0 or download_test/0 to map for use with Explorer.DataFrame . Examples iex&gt; columns_for_df = Scidata.Squad . download ( ) |&gt; Scidata.Squad . to_columns ( ) %{ &quot;answer_start&quot; =&gt; [ 515 , ... ] , &quot;context&quot; =&gt; [ &quot;Architecturally, the...&quot; , ... ] , &quot;id&quot; =&gt; [ &quot;5733be284776f41900661182&quot; , ... ] , &quot;question&quot; =&gt; [ &quot;To whom did the Vir...&quot; , ... ] , &quot;answer_text&quot; =&gt; [ &quot;Saint Bernadette Soubirous&quot; , ... ] , &quot;title&quot; =&gt; [ &quot;University_of_Notre_Dame&quot; , ... ] } iex&gt; Explorer.DataFrame . from_map ( columns_for_df ) # Explorer.DataFrame &lt; [ rows : 87599 , columns : 6 ] ... &gt;","ref":"Scidata.Squad.html#to_columns/1"},{"type":"module","title":"Scidata.YelpFullReviews","doc":"Module for downloading the Yelp Reviews dataset .","ref":"Scidata.YelpFullReviews.html"},{"type":"function","title":"Scidata.YelpFullReviews.download/1","doc":"Downloads the Yelp Reviews training dataset or fetches it locally. Options. :base_url - Dataset base URL. Defaults to &quot;https://s3.amazonaws.com/fast-ai-nlp/&quot; :dataset_file - Dataset filename. Defaults to &quot;yelp_review_full_csv.tgz&quot; :cache_dir - Cache directory. Defaults to System.tmp_dir!()","ref":"Scidata.YelpFullReviews.html#download/1"},{"type":"function","title":"Scidata.YelpFullReviews.download_test/1","doc":"Downloads the Yelp Reviews test dataset or fetches it locally. Accepts the same options as download/1 .","ref":"Scidata.YelpFullReviews.html#download_test/1"},{"type":"module","title":"Scidata.YelpPolarityReviews","doc":"Module for downloading the Yelp Polarity Reviews dataset .","ref":"Scidata.YelpPolarityReviews.html"},{"type":"function","title":"Scidata.YelpPolarityReviews.download/1","doc":"Downloads the Yelp Polarity Reviews training dataset or fetches it locally. Options. :base_url - Dataset base URL. Defaults to &quot;https://s3.amazonaws.com/fast-ai-nlp/&quot; :dataset_file - Dataset filename. Defaults to &quot;yelp_review_polarity_csv.tgz&quot; :cache_dir - Cache directory. Defaults to System.tmp_dir!()","ref":"Scidata.YelpPolarityReviews.html#download/1"},{"type":"function","title":"Scidata.YelpPolarityReviews.download_test/1","doc":"Downloads the Yelp Polarity Reviews test dataset or fetches it locally. Accepts the same options as download/1 .","ref":"Scidata.YelpPolarityReviews.html#download_test/1"},{"type":"module","title":"Scidata.CIFAR10","doc":"Module for downloading the CIFAR10 dataset .","ref":"Scidata.CIFAR10.html"},{"type":"function","title":"Scidata.CIFAR10.download/1","doc":"Downloads the CIFAR10 training dataset or fetches it locally. Returns a tuple of format: { { images_binary , images_type , images_shape } , { labels_binary , labels_type , labels_shape } } If you want to one-hot encode the labels, you can: labels_binary |&gt; Nx . from_binary ( labels_type ) |&gt; Nx . new_axis ( - 1 ) |&gt; Nx . equal ( Nx . tensor ( Enum . to_list ( 0 .. 9 ) ) ) Options. :base_url - Dataset base URL. Defaults to &quot;https://www.cs.toronto.edu/~kriz/&quot; :dataset_file - Dataset filename. Defaults to &quot;cifar-10-binary.tar.gz&quot; :cache_dir - Cache directory. Defaults to System.tmp_dir!() Examples iex&gt; Scidata.CIFAR10 . download ( ) { { &lt;&lt; 59 , 43 , 50 , 68 , 98 , 119 , 139 , 145 , 149 , 149 , 131 , 125 , 142 , 144 , 137 , 129 , 137 , 134 , 124 , 139 , 139 , 133 , 136 , 139 , 152 , 163 , 168 , 159 , 158 , 158 , 152 , 148 , 16 , 0 , 18 , 51 , 88 , 120 , 128 , 127 , 126 , 116 , 106 , 101 , 105 , 113 , 109 , 112 , ... &gt;&gt; , { :u , 8 } , { 50000 , 3 , 32 , 32 } } , { &lt;&lt; 6 , 9 , 9 , 4 , 1 , 1 , 2 , 7 , 8 , 3 , 4 , 7 , 7 , 2 , 9 , 9 , 9 , 3 , 2 , 6 , 4 , 3 , 6 , 6 , 2 , 6 , 3 , 5 , 4 , 0 , 0 , 9 , 1 , 3 , 4 , 0 , 3 , 7 , 3 , 3 , 5 , 2 , 2 , 7 , 1 , 1 , 1 , ... &gt;&gt; , { :u , 8 } , { 50000 } } }","ref":"Scidata.CIFAR10.html#download/1"},{"type":"function","title":"Scidata.CIFAR10.download_test/1","doc":"Downloads the CIFAR10 test dataset or fetches it locally. Accepts the same options as download/1 .","ref":"Scidata.CIFAR10.html#download_test/1"},{"type":"module","title":"Scidata.CIFAR100","doc":"Module for downloading the CIFAR100 dataset .","ref":"Scidata.CIFAR100.html"},{"type":"function","title":"Scidata.CIFAR100.download/1","doc":"Downloads the CIFAR100 training dataset or fetches it locally. Returns a tuple of format: { { images_binary , images_type , images_shape } , { labels_binary , labels_type , labels_shape } } Options. :base_url - Dataset base URL. Defaults to &quot;https://www.cs.toronto.edu/~kriz/&quot; :dataset_file - Dataset filename. Defaults to &quot;cifar-100-binary.tar.gz&quot; :cache_dir - Cache directory. Defaults to System.tmp_dir!() Examples iex&gt; Scidata.CIFAR100 . download ( ) { { &lt;&lt; 59 , 43 , 50 , 68 , 98 , 119 , 139 , 145 , 149 , 149 , 131 , 125 , 142 , 144 , 137 , 129 , 137 , 134 , 124 , 139 , 139 , 133 , 136 , 139 , 152 , 163 , 168 , 159 , 158 , 158 , 152 , 148 , 16 , 0 , 18 , 51 , 88 , 120 , 128 , 127 , 126 , 116 , 106 , 101 , 105 , 113 , 109 , 112 , ... &gt;&gt; , { :u , 8 } , { 50000 , 3 , 32 , 32 } } , { &lt;&lt; 6 , 9 , 9 , 4 , 1 , 1 , 2 , 7 , 8 , 3 , 4 , 7 , 7 , 2 , 9 , 9 , 9 , 3 , 2 , 6 , 4 , 3 , 6 , 6 , 2 , 6 , 3 , 5 , 4 , 0 , 0 , 9 , 1 , 3 , 4 , 0 , 3 , 7 , 3 , 3 , 5 , 2 , 2 , 7 , 1 , 1 , 1 , ... &gt;&gt; , { :u , 8 } , { 50000 , 2 } } }","ref":"Scidata.CIFAR100.html#download/1"},{"type":"function","title":"Scidata.CIFAR100.download_test/1","doc":"Downloads the CIFAR100 test dataset or fetches it locally. Accepts the same options as download/1 .","ref":"Scidata.CIFAR100.html#download_test/1"},{"type":"module","title":"Scidata.Caltech101","doc":"Module for downloading the Caltech101 dataset .","ref":"Scidata.Caltech101.html"},{"type":"function","title":"Scidata.Caltech101.download/1","doc":"Downloads the Caltech101 training dataset or fetches it locally. Returns a tuple of format: { { images_binary , images_type , images_shape } , { labels_binary , labels_type , labels_shape } } If you want to one-hot encode the labels, you can: labels_binary |&gt; Nx . from_binary ( labels_type ) |&gt; Nx . new_axis ( - 1 ) |&gt; Nx . equal ( Nx . tensor ( Enum . to_list ( 1 .. 102 ) ) ) Options. :base_url - Dataset base URL. Defaults to &quot;https://s3.amazonaws.com/fast-ai-imageclas/&quot; :dataset_file - Dataset filename. Defaults to &quot;caltech_101.tgz&quot; :cache_dir - Cache directory. Defaults to System.tmp_dir!()","ref":"Scidata.Caltech101.html#download/1"},{"type":"module","title":"Scidata.FashionMNIST","doc":"Module for downloading the FashionMNIST dataset .","ref":"Scidata.FashionMNIST.html"},{"type":"function","title":"Scidata.FashionMNIST.download/1","doc":"Downloads the FashionMNIST training dataset or fetches it locally. Returns a tuple of format: { { images_binary , images_type , images_shape } , { labels_binary , labels_type , labels_shape } } If you want to one-hot encode the labels, you can: labels_binary |&gt; Nx . from_binary ( labels_type ) |&gt; Nx . new_axis ( - 1 ) |&gt; Nx . equal ( Nx . tensor ( Enum . to_list ( 0 .. 9 ) ) ) Options. :base_url - Dataset base URL. Defaults to &quot;http://fashion-mnist.s3-website.eu-central-1.amazonaws.com/&quot; :train_image_file - Training set image filename. Defaults to &quot;train-images-idx3-ubyte.gz&quot; :train_label_file - Training set label filename. Defaults to &quot;train-images-idx1-ubyte.gz&quot; :cache_dir - Cache directory. Defaults to System.tmp_dir!() Examples iex&gt; Scidata.FashionMNIST . download ( ) { { &lt;&lt; 105 , 109 , 97 , 103 , 101 , 115 , 45 , 105 , 100 , 120 , 51 , 45 , 117 , 98 , 121 , 116 , 101 , 0 , 236 , 253 , 7 , 88 , 84 , 201 , 215 , 232 , 11 , 23 , 152 , 38 , 57 , 51 , 166 , 81 , 71 , 157 , 209 , 49 , 135 , 49 , 141 , 99 , 206 , 142 , 57 , 141 , 89 , 68 , ... &gt;&gt; , { :u , 8 } , { 3739854681 , 226418 , 1634299437 } } , { &lt;&lt; 0 , 3 , 116 , 114 , 97 , 105 , 110 , 45 , 108 , 97 , 98 , 101 , 108 , 115 , 45 , 105 , 100 , 120 , 49 , 45 , 117 , 98 , 121 , 116 , 101 , 0 , 53 , 221 , 9 , 130 , 36 , 73 , 110 , 100 , 81 , 219 , 220 , 150 , 91 , 214 , 249 , 251 , 20 , 141 , 247 , 53 , 114 , ... &gt;&gt; , { :u , 8 } , { 3739854681 } } }","ref":"Scidata.FashionMNIST.html#download/1"},{"type":"function","title":"Scidata.FashionMNIST.download_test/1","doc":"Downloads the FashionMNIST test dataset or fetches it locally. Options. :base_url - Dataset base URL. Defaults to &quot;http://fashion-mnist.s3-website.eu-central-1.amazonaws.com/&quot; :test_image_file - Test set image filename. Defaults to &quot;t10k-images-idx3-ubyte.gz&quot; :test_label_file - Test set label filename. Defaults to &quot;t10k-labels-idx1-ubyte.gz&quot; :cache_dir - Cache directory. Defaults to System.tmp_dir!()","ref":"Scidata.FashionMNIST.html#download_test/1"},{"type":"module","title":"Scidata.KuzushijiMNIST","doc":"Module for downloading the Kuzushiji-MNIST dataset .","ref":"Scidata.KuzushijiMNIST.html"},{"type":"function","title":"Scidata.KuzushijiMNIST.download/1","doc":"Downloads the Kuzushiji MNIST training dataset or fetches it locally. Returns a tuple of format: { { images_binary , images_type , images_shape } , { labels_binary , labels_type , labels_shape } } If you want to one-hot encode the labels, you can: labels_binary |&gt; Nx . from_binary ( labels_type ) |&gt; Nx . new_axis ( - 1 ) |&gt; Nx . equal ( Nx . tensor ( Enum . to_list ( 0 .. 9 ) ) ) Options. :base_url - Dataset base URL. Defaults to &quot;http://codh.rois.ac.jp/kmnist/dataset/kmnist/&quot; :train_image_file - Training set image filename. Defaults to &quot;train-images-idx3-ubyte.gz&quot; :train_label_file - Training set label filename. Defaults to &quot;train-images-idx1-ubyte.gz&quot; :cache_dir - Cache directory. Defaults to System.tmp_dir!()","ref":"Scidata.KuzushijiMNIST.html#download/1"},{"type":"function","title":"Scidata.KuzushijiMNIST.download_test/1","doc":"Downloads the Kuzushiji MNIST test dataset or fetches it locally. Options. :base_url - Dataset base URL. Defaults to &quot;http://codh.rois.ac.jp/kmnist/dataset/kmnist/&quot; :test_image_file - Test set image filename. Defaults to &quot;t10k-images-idx3-ubyte.gz&quot; :test_label_file - Test set label filename. Defaults to &quot;t10k-labels-idx1-ubyte.gz&quot; :cache_dir - Cache directory. Defaults to System.tmp_dir!()","ref":"Scidata.KuzushijiMNIST.html#download_test/1"},{"type":"module","title":"Scidata.MNIST","doc":"Module for downloading the MNIST dataset .","ref":"Scidata.MNIST.html"},{"type":"function","title":"Scidata.MNIST.download/1","doc":"Downloads the MNIST training dataset or fetches it locally. Returns a tuple of format: { { images_binary , images_type , images_shape } , { labels_binary , labels_type , labels_shape } } If you want to one-hot encode the labels, you can: labels_binary |&gt; Nx . from_binary ( labels_type ) |&gt; Nx . new_axis ( - 1 ) |&gt; Nx . equal ( Nx . tensor ( Enum . to_list ( 0 .. 9 ) ) ) Options. :base_url - Dataset base URL. Defaults to &quot;https://storage.googleapis.com/cvdf-datasets/mnist/&quot; :train_image_file - Training set image filename. Defaults to &quot;train-images-idx3-ubyte.gz&quot; :train_label_file - Training set label filename. Defaults to &quot;train-images-idx1-ubyte.gz&quot; :cache_dir - Cache directory. Defaults to System.tmp_dir!()","ref":"Scidata.MNIST.html#download/1"},{"type":"function","title":"Scidata.MNIST.download_test/1","doc":"Downloads the MNIST test dataset or fetches it locally. Options. :base_url - Dataset base URL. Defaults to &quot;https://storage.googleapis.com/cvdf-datasets/mnist/&quot; :train_image_file - Training set image filename. Defaults to &quot;train-images-idx3-ubyte.gz&quot; :train_label_file - Training set label filename. Defaults to &quot;train-images-idx1-ubyte.gz&quot; :test_image_file - Test set image filename. Defaults to &quot;t10k-images-idx3-ubyte.gz&quot; :test_label_file - Test set label filename. Defaults to &quot;t10k-labels-idx1-ubyte.gz&quot; :cache_dir - Cache directory. Defaults to System.tmp_dir!()","ref":"Scidata.MNIST.html#download_test/1"},{"type":"module","title":"Scidata.Iris","doc":"Module for downloading the Iris Data Set .","ref":"Scidata.Iris.html"},{"type":"function","title":"Scidata.Iris.download/1","doc":"Downloads the Iris dataset or fetches it locally. Information about the dataset are available in file iris.names inside the zip file . Attribute sepal length in cm sepal width in cm petal length in cm petal width in cm Label 0: Iris Setosa 1: Iris Versicolour 2: Iris Virginica Options. :base_url - Dataset base URL. Defaults to &quot;https://archive.ics.uci.edu/static/public/53/iris.zip&quot; :dataset_file - Dataset filename. Defaults to &quot;iris.data&quot; :cache_dir - Cache directory. Defaults to System.tmp_dir!()","ref":"Scidata.Iris.html#download/1"},{"type":"module","title":"Scidata.Wine","doc":"Module for downloading the Wine Data Set .","ref":"Scidata.Wine.html"},{"type":"function","title":"Scidata.Wine.download/1","doc":"Downloads the Wine dataset or fetches it locally. Information about the dataset are available in file iris.names inside the zip file . Attribute Alcohol Malic acid Ash Alcalinity of ash Magnesium Total phenols Flavanoids Nonflavanoid phenols Proanthocyanins Color intensity Hue OD280/OD315 of diluted wines Proline Label 0 1 2 Options. :base_url - Dataset base URL. Defaults to &quot;https://archive.ics.uci.edu/static/public/109/wine.zip&quot; :dataset_file - Dataset filename. Defaults to &quot;wine.data&quot; :cache_dir - Cache directory. Defaults to System.tmp_dir!()","ref":"Scidata.Wine.html#download/1"}]